# Authentication

To make API calls, an API key associated with a user who has the necessary permissions to perform the desired action in the selected workspace is required.

## Generating an API Key

To generate a new API key, navigate to Settings and User Settings. In the **API Key** section select the "Create" Button. The key will only be displayed at the time of creation, so ensure you save it in a secure location, as it cannot be retrieved later.

{% embed url="<https://www.tella.tv/video/cm3ojlfhr000a03leevw3hx2x/embed?a=0&b=0&loop=0&muted=0&t=0&title=0&wt=0>" %}

{% hint style="info" %}
You can define an expiration date to an api key.
{% endhint %}

## Using the API Key

To authenticate your API requests, include the API key in the header using the following format:

**Headers**

| Name          | Value               |
| ------------- | ------------------- |
| Authorization | `Api-Key <API_KEY>` |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.erathos.com/api/concepts/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
